/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { Injectable } from "@angular/core";
import { EMOJI_DB } from "./emoji.db";
export class EmojiService {
    constructor() {
        this.PARSE_REGEX = /:([a-zA-Z0-9_\-\+]+):/g;
    }
    /**
     * @param {?} emoji
     * @return {?}
     */
    get(emoji) {
        // TODO Fix performance
        for (let /** @type {?} */ data of EMOJI_DB) {
            for (let /** @type {?} */ e of data.aliases) {
                if (emoji === e) {
                    return data.emoji;
                }
            }
        }
        return emoji;
    }
    /**
     * @return {?}
     */
    getAll() {
        return EMOJI_DB;
    }
    /**
     * @param {?} str
     * @return {?}
     */
    emojify(str) {
        return str.split(this.PARSE_REGEX).map((emoji, index) => {
            // Return every second element as an emoji
            if (index % 2 === 0) {
                return emoji;
            }
            return this.get(emoji);
        }).join('');
    }
}
EmojiService.decorators = [
    { type: Injectable },
];
/** @nocollapse */
EmojiService.ctorParameters = () => [];
function EmojiService_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    EmojiService.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    EmojiService.ctorParameters;
    /** @type {?} */
    EmojiService.prototype.PARSE_REGEX;
}
//# sourceMappingURL=emoji.service.js.map